#Table 1: false discovery rate simulations
#progression-regression
#biomarker for both

rm(list=ls(all=TRUE))
setwd("~/Desktop/dissertation/aoas submission/simulation studies")
#check out calculations for 593 and 705
res <- data.frame()
for (k in 151:200){
  filename <- paste0("wl_10var",k,".RData")
  load(filename)
  res <- rbind(res,simres)
}
mean(res[,1])
sd(res[,1])
mean(res[,2])
mean(res[,3]<=0.6842355856 & 0.6842355856<=res[,4])
#table(pnorm(x)<=0.025 | pnorm(x)>=0.975)
table((res[,1]-.5)/res[,2]>=1.96 |
        -1.96>=(res[,1]-.5)/res[,2])

mean(res[,11])
sd(res[,11])
mean(res[,12])
mean(res[,13]<=0.573032 & 0.573032<=res[,14])
table((res[,11]-.5)/res[,12]>=1.96 |
      -1.96>=(res[,11]-.5)/res[,12])


mean(c(mean(res[,16]),mean(res[,31]),mean(res[,46]),mean(res[,61]),mean(res[,76])))
mean(c(sd(res[,16]),sd(res[,31]),sd(res[,46]),sd(res[,61]),sd(res[,76])))
mean(c(mean(res[,17]),mean(res[,32]),mean(res[,47]),mean(res[,62]),mean(res[,77])))
mean(c(mean(res[,18]<=0.5296562540 & 0.5296562540<=res[,19]),
       mean(res[,33]<=0.5296562540 & 0.5296562540<=res[,34]),
       mean(res[,48]<=0.5296562540 & 0.5296562540<=res[,49]),
       mean(res[,63]<=0.5296562540 & 0.5296562540<=res[,64]),
       mean(res[,78]<=0.5296562540 & 0.5296562540<=res[,79])))
table((c(res[,16],res[,31],res[,46],res[,61],res[,76])-.5)/
        c(res[,17],res[,32],res[,47],res[,62],res[,77])>=1.96 |
        -1.96 >= (c(res[,16],res[,31],res[,46],res[,61],res[,76])-.5)/
        c(res[,17],res[,32],res[,47],res[,62],res[,77]))/5000

mean(c(mean(res[,26]),mean(res[,41]),mean(res[,56]),mean(res[,71]),mean(res[,86])))
mean(c(sd(res[,26]),sd(res[,41]),sd(res[,56]),sd(res[,71]),sd(res[,86])))
mean(c(mean(res[,27]),mean(res[,42]),mean(res[,57]),mean(res[,72]),mean(res[,87])))
mean(c(mean(res[,28]<=0.511690 & 0.511690<=res[,29]),
       mean(res[,43]<=0.511690 & 0.511690<=res[,44]),
       mean(res[,58]<=0.511690 & 0.511690<=res[,59]),
       mean(res[,73]<=0.511690 & 0.511690<=res[,74]),
       mean(res[,88]<=0.511690 & 0.511690<=res[,89])))
table((c(res[,26],res[,41],res[,56],res[,71],res[,86])-.5)/
        c(res[,27],res[,42],res[,57],res[,72],res[,87])>=1.96 |
        -1.96 >= (c(res[,26],res[,41],res[,56],res[,71],res[,86])-.5)/
        c(res[,27],res[,42],res[,57],res[,72],res[,87]))/5000


mean(c(mean(res[,91]),mean(res[,106]),mean(res[,121]),mean(res[,136]),mean(res[,151])))
mean(c(sd(res[,91]),sd(res[,106]),sd(res[,121]),sd(res[,136]),sd(res[,151])))
mean(c(mean(res[,92]),mean(res[,107]),mean(res[,122]),mean(res[,137]),mean(res[,152])))
mean(c(mean(res[,93]<=0.5 & 0.5<=res[,94]),
       mean(res[,108]<=0.5 & 0.5<=res[,109]),
       mean(res[,123]<=0.5 & 0.5<=res[,124]),
       mean(res[,138]<=0.5 & 0.5<=res[,139]),
       mean(res[,153]<=0.5 & 0.5<=res[,154])))
table((c(res[,91],res[,106],res[,121],res[,136],res[,151])-.5)/
       c(res[,92],res[,107],res[,122],res[,137],res[,152])>=1.96 |
      -1.96 >= (c(res[,91],res[,106],res[,121],res[,136],res[,151])-.5)/
                c(res[,92],res[,107],res[,122],res[,137],res[,152]))/5000


mean(c(mean(res[,101]),mean(res[,116]),mean(res[,131]),mean(res[,146]),mean(res[,161])))
mean(c(sd(res[,101]),sd(res[,116]),sd(res[,131]),sd(res[,146]),sd(res[,161])))
mean(c(mean(res[,102],na.rm=TRUE),mean(res[,117],na.rm=TRUE),mean(res[,132],na.rm=TRUE),mean(res[,147],na.rm=TRUE),mean(res[,162],na.rm=TRUE)))
mean(c(mean(res[,103]<=0.5 & 0.5<=res[,104],na.rm=TRUE),
       mean(res[,118]<=0.5 & 0.5<=res[,119],na.rm=TRUE),
       mean(res[,133]<=0.5 & 0.5<=res[,134],na.rm=TRUE),
       mean(res[,148]<=0.5 & 0.5<=res[,149],na.rm=TRUE),
       mean(res[,163]<=0.5 & 0.5<=res[,164],na.rm=TRUE)))
table((c(res[,101],res[,116],res[,131],res[,146],res[,161])-.5)/
        c(res[,102],res[,117],res[,132],res[,147],res[,162])>=1.96 |
        -1.96 >= (c(res[,101],res[,116],res[,131],res[,146],res[,161])-.5)/
        c(res[,102],res[,117],res[,132],res[,147],res[,162]))/5000

#calculate false discovery rate
table((c(res[,91],res[,106],res[,121],res[,136],res[,151])-.5)/
        c(res[,92],res[,107],res[,122],res[,137],res[,152])>=1.96 |
        -1.96 >= (c(res[,91],res[,106],res[,121],res[,136],res[,151])-.5)/
        c(res[,92],res[,107],res[,122],res[,137],res[,152]))/5000

summary((((res[,91]-.5)/res[,92]>=1.96 | -1.96>=(res[,91]-.5)/res[,92])+
  ((res[,106]-.5)/res[,107]>=1.96 | -1.96>=(res[,106]-.5)/res[,107])+
  ((res[,121]-.5)/res[,122]>=1.96 | -1.96>=(res[,121]-.5)/res[,122])+
  ((res[,136]-.5)/res[,137]>=1.96 | -1.96>=(res[,136]-.5)/res[,137])+ 
  ((res[,151]-.5)/res[,152]>=1.96 | -1.96>=(res[,151]-.5)/res[,152]))/
 (((res[,16]-.5)/res[,17]>=1.96 | -1.96>=(res[,16]-.5)/res[,17])+
  ((res[,31]-.5)/res[,32]>=1.96 | -1.96>=(res[,31]-.5)/res[,32])+
  ((res[,46]-.5)/res[,47]>=1.96 | -1.96>=(res[,46]-.5)/res[,47])+
  ((res[,61]-.5)/res[,62]>=1.96 | -1.96>=(res[,61]-.5)/res[,62])+
  ((res[,76]-.5)/res[,77]>=1.96 | -1.96>=(res[,76]-.5)/res[,77])+
  ((res[,91]-.5)/res[,92]>=1.96 | -1.96>=(res[,91]-.5)/res[,92])+
  ((res[,106]-.5)/res[,107]>=1.96 | -1.96>=(res[,106]-.5)/res[,107])+
  ((res[,121]-.5)/res[,122]>=1.96 | -1.96>=(res[,121]-.5)/res[,122])+
  ((res[,136]-.5)/res[,137]>=1.96 | -1.96>=(res[,136]-.5)/res[,137])+ 
  ((res[,151]-.5)/res[,152]>=1.96 | -1.96>=(res[,151]-.5)/res[,152])))  


summary((((res[,101]-.5)/res[,102]>=1.96 | -1.96>=(res[,101]-.5)/res[,102])+
    ((res[,116]-.5)/res[,117]>=1.96 | -1.96>=(res[,116]-.5)/res[,117])+
    ((res[,131]-.5)/res[,132]>=1.96 | -1.96>=(res[,131]-.5)/res[,132])+
    ((res[,146]-.5)/res[,147]>=1.96 | -1.96>=(res[,146]-.5)/res[,147])+ 
    ((res[,161]-.5)/res[,162]>=1.96 | -1.96>=(res[,161]-.5)/res[,162]))/
  (((res[,26]-.5)/res[,27]>=1.96 | -1.96>=(res[,26]-.5)/res[,27])+
     ((res[,41]-.5)/res[,52]>=1.96 | -1.96>=(res[,41]-.5)/res[,42])+
     ((res[,56]-.5)/res[,67]>=1.96 | -1.96>=(res[,56]-.5)/res[,57])+
     ((res[,71]-.5)/res[,72]>=1.96 | -1.96>=(res[,71]-.5)/res[,72])+
     ((res[,86]-.5)/res[,87]>=1.96 | -1.96>=(res[,86]-.5)/res[,87])+
     ((res[,101]-.5)/res[,102]>=1.96 | -1.96>=(res[,101]-.5)/res[,102])+
     ((res[,116]-.5)/res[,117]>=1.96 | -1.96>=(res[,116]-.5)/res[,117])+
     ((res[,131]-.5)/res[,132]>=1.96 | -1.96>=(res[,131]-.5)/res[,132])+
     ((res[,146]-.5)/res[,147]>=1.96 | -1.96>=(res[,146]-.5)/res[,147])+ 
     ((res[,161]-.5)/res[,162]>=1.96 | -1.96>=(res[,161]-.5)/res[,162])))   