n <- 150
source("MSC_C_simple.R")

simres <- data.frame()
for (simno in 1:20){
  #### restrict data to the simulation
  print(simno)
  lower <- (simno-1)*n+1
  upper <- simno*n
  xsam <- xsam_all[lower:upper,]
  
  xsam$Z1 <- -1*xsam$X1
  xsam$Z2 <- -1*xsam$X2
  xsam$Z3 <- -1*xsam$X3
  xsam$Z4 <- -1*xsam$X4
  xsam$Z5 <- -1*xsam$X5
  xsam$Z6 <- -1*xsam$X6
  xsam$Z7 <- -1*xsam$X7
  xsam$Z8 <- -1*xsam$X8
  xsam$Z9 <- -1*xsam$X9
  xsam$Z10 <- -1*xsam$X10
  xsam$Z11 <- -1*xsam$X11   
  
  #check tau2
  simres <- rbind(simres,
                  data.frame(c(MSC_Cs(1,.75,xsam$d1,xsam$t1,xsam$d2,xsam$t2,xsam$X1,xsam$Z1,tau1),
                               MSC_Cs(1,.75,xsam$d1,xsam$t1,xsam$d2,xsam$t2,xsam$X2,xsam$Z2,tau1),
                               MSC_Cs(1,.75,xsam$d1,xsam$t1,xsam$d2,xsam$t2,xsam$X3,xsam$Z3,tau1),
                               MSC_Cs(1,.75,xsam$d1,xsam$t1,xsam$d2,xsam$t2,xsam$X4,xsam$Z4,tau1),
                               MSC_Cs(1,.75,xsam$d1,xsam$t1,xsam$d2,xsam$t2,xsam$X5,xsam$Z5,tau1),
                               MSC_Cs(1,.75,xsam$d1,xsam$t1,xsam$d2,xsam$t2,xsam$X6,xsam$Z6,tau1),
                               MSC_Cs(1,.75,xsam$d1,xsam$t1,xsam$d2,xsam$t2,xsam$X7,xsam$Z7,tau1),
                               MSC_Cs(1,.75,xsam$d1,xsam$t1,xsam$d2,xsam$t2,xsam$X8,xsam$Z8,tau1),
                               MSC_Cs(1,.75,xsam$d1,xsam$t1,xsam$d2,xsam$t2,xsam$X9,xsam$Z9,tau1),          
                               MSC_Cs(1,.75,xsam$d1,xsam$t1,xsam$d2,xsam$t2,xsam$X10,xsam$Z10,tau1),
                               MSC_Cs(1,.75,xsam$d1,xsam$t1,xsam$d2,xsam$t2,xsam$X11,xsam$Z11,tau1)))) 
}